## NEWS

Join our **DISCORD** to follow development news, submit bugs, feedback, and share your experience in general: https://discord.gg/9ZYGMzYd89
## Note: ONLY USE R2MODMAN TO INSTALL, DON'T USE TSMM

## CONTENT PROGRESS:

- T1 (Meadows) - Complete
- T2 (Black Forest) - Complete
- T3 (Swamp) - Complete
- T4 (Mountain) - Under construction
- T5 (Plains) - Under construction
- T6 (Mistlands) - Under construction
- T7 (Deep North) - Under construction
- T8 (Ashlands) - Under construction
- T9 (Ocean) - Under construction


Epic Valheim support:

		@paypal linamuss@gmail.com
		patreon.com/CaptainIceblock


EV 5.0.1 - 5.0.4 INSTALLATION INSTRUCTIONS:

	If coming from below 5.0
	
		NEW WORLD REQUIRED
		NEW CHARACTER REQUIRED
		
		
		Thunderstore - use r2mm - delete current profile, create new, install EV, done
		
		Nexus - manually install the required mods, confirm their installations, install EV, done
		
		IMPORTANT:
		
			Install EV only first and confirm working installation before adding ANY other mods.
	
	If upgrading from 5.X.X
	
		Thunderstore - use r2mm - delete current profile, create new, install EV, done
		
		Nexus - extract and overwrite .rar's contents, done
		
	Additional notes (skip if done before):
	
		CraftingStationTweaks.dll is no longer needed
		Update BetterTraderRemake from TS


EV 5.0.4 RELEASE NOTES:

	General:
	
		Disabled FreeBuild enchant
		Burial Grounds chest now drop T1 loot, down from T2
		Increased Primordial Vein spawn rates, reduced their yield
		Increased the price the Trader sells metal ores at
		Disabled Healer Dvergr variant for now
		Slightly increased Dvergr spawn rates
		Dark Biome 0 stars now drop enchanted items slightly less frequently
		Added Handcrafted Axe and Handcrafted Shield to Starter House Chest
		Increased various resource amounts in Starter House Chest
		Infusion Table now costs less Primordial Stone
		Empowered/Eitr foods now have corresponding color names
		TripleShotBow now sets movement speed to 0, instead of reducing damage, renamed Immovable Force
		Frost Stave now has moderately reduced damage
		SpiritFrost Stave now costs less Eitr to use
		SpiritFire Staff now costs less Eitr to use

	Bug Fixes:
	
		Fixed Fishing Rod not being sold
		Fixed Troll having duplicate loottables
		Fixed one of the Odin Staff variants having incorrect name
		Fixed Ancient Bark Spear having vanilla stats
		Added missing flavor text to T1 Empowered Foods


EV 5.0.3 RELEASE NOTES:

	General:
	
		Removed GoldRubyRing
		Reworked Polished Silver Ring:
			Now named Simple Ring
			Available from T1
			Costs 2 Flint
		Simple Belt now costs 10 Leather Scraps only
		Andvaranaut and Blank Runestone moved to the BetterTrader tab
		TripleBowShot now reduces damage by x3, up from x2
	
	Bug Fixes:
		
		Fixed belts/rings not rolling as set items properly (might need to re-discover/learn these items)
		Added various missing items to BetterTrader tab
		Fixed various inconsistent pricings in BetterTrader tab
		
	Other:
	
		Cleared up internal BetterTrader config file in case the file size matters to servers


EV 5.0.1 - 5.0.2 RELEASE NOTES:

	
	General:
	
		Trader spawnpoints adjusted to 8, 1500-2000 distance from the center
		Deer Cape now requires extra Deer Hide instead of Bone Fragments
		Greylings can now spawn outside of forests
		Added extra descriptions to Primordial Pebble/Stone to better indicate their usage
		Upgrading equipment now additionally requires Runestone
		Handcrafted Axe formula reworked:
			Now [max upgraded tier's Axe stats] x2
		
	Epic Loot:
	
		Server-side config now locked by default
		Dust gained from disenchanting now 1 from all rarities
		Tokens now weight 10 each and stack to 10
		Augmenting now requires Dust x5 instead of Runestone x1
		Reworked Gambles:
			Non-token gambles now cost 1000 and guarantee a legendary
			Token gambles are coin-free, but require 3 of that rarities token
		Reworked TripleBowShot:
			Still rolls only as unique-legendary guarantee (named Brute Force)
			Reduces damage output by half when in use, non-augmentable
	
	Bug Fixes:
	
		Console should no longer spit out warnings about weight tables
		T1 Dark lvl 3 drop table corrected
		Handcrafted Shields now have correct T2/T3 values
		Handcrafted Shields no longer have nonexistent variant selection
		T3 Worldtree Health Potion now has correct value of 400
		Infusion Table / Odin's Forge use error fixed
		Trader tab now displays item names correctly
		Enchanting Table recipe now uses the intended materials
		Corrected Worldtree Seed collision inconsistencies
		Removed T1 shields from upgrade pool
		Added PickaxeAntler to gamble tab (should prevent 0 gold error)


EV 5.0.0 RELEASE NOTES:

	
	Epic Valheim:
	
		Asset list (source, usage):
		
			Worldtree Seed (WTS, WTSpickable)
					
					Pickable, dropped from creatures
					Cooked into WTScore

			Seed Core (WTScore)

					Cooked from Worldtree Seed
					Crafted into Seed Shard, conversion to Liquid Core
					
			Seed Shard (WTSshard)
			
					Crafted from Seed Core, dropped from Worldtree Sprout/Seedling/Sapling, creatures
					Edible for fast, short regen, ingredient of food items

			Liquid Core (WTSliquid)
			
					Conversion from Seed Core
					Ingredient of mead items

			Worldtree Root (WTroot)
			
					Dropped from Dried Root, Worldtree Sprout/Seedling/Sapling, creatures
					Crafted into Worldtree Weave

			Worldtree Wood (WTwood)
			
					Dropped from Worldtree Sprout/Seedling/Sapling
					Weapon crafting/upgrading	
					
			Worldtree Sprout/Seedling/Sapling (WTT1, WTT2, WTT3)
			
					Environmental spawn
					Drops Worldtree Root, Seed Shard, Worldtree Wood
					
			Primordial Pebble (PMpebble)
			
					Environmental spawn, dropped from creatures
					Arrow crafting, thrown

			Primordial Stone (PMstone)

					Environmental spawn, dropped from Primordial Vein
					Primitive weapon crafting, building crafting, conversion to Primordial Ingot
					
			Primordial Ingot (PMingot)
			
					Conversion from Primordial Stone
					Weapon crafting/upgrading, heavy armor upgrading

			Primordial Vein (PMvein)
			
					Environmental spawn
					Drops Stone, Primordial Stone

			Abandoned House (StarterHouse)

					Guaranteed new-world spawn in center area
					Introduces new player to various EV assets

			Abandoned Cave (T0AC)

					Tier-based location spawn
					Contains Looter Dvergr
							
			Sacrificial Bonfire (T0GBA)

					Tier-based location spawn
					Summons Golden Boar
				
			Golden Boar (GBT0)
			
					Spawned via Golden Boar Altar
					Improved coin drop boss
					
			Golden Piggy (GBPT0)
			
					Spawned via Golden Boar Altar
					Extra event spawn
							
			Faded Boar Skull (GBDT0)
			
					Common drop
					Golden Boar Token crafting resource
							
			Golden Boar Token (GBTT0)
			
					Crafted
					Resource to summon Golden Boar
				
			Mixed Kit (T0UKW)
				
					Crafted:
						Primordial Stone
						Worldtree Wood
						Tier's-metal
						EssenceT0
					Upgrades weapons and other crafts
					
			Metal Kit (T0UKHA)
				
					Crafted:
						Primordial Stone
						Tier's-metal
						EssenceT0
					Upgrades heavy armor and other crafts
			
			Leather Kit (T0UKLA)
				
					Crafted:
						Worldtree Root
						Leather Scraps
						EssenceT0
					Upgrades light armor and other crafts
					
			Odin's Hammer (OdinsHammer)
			
					Crafted
					Crafting EV buildings
					
			Infusion Table (piece_IT)
			
					Built
					Crafting foods, potions, boss tokens
					
			Odin's Forge (piece_OF)
			
					Built
					Crafting/upgrading magic armor/weapons, refining Worldtree Wood
					
			Eitr Infused Equipment (various)
			
					Crafted
					Adds Eitr regen
							
			Thrown Pebble (HCpebble0)
				
					Crafted:
						Primordial Pebble
						EssenceT0
					Thrown for extra damage
					
			Handcrafted Arrow (HCarrow0)
			
					Crafted
					x1.5 of tier's best damage arrow
					
			Handcrafted Axe (HCaxe0)
			
					Crafted
					x1.5 of tier's best damage axe
					
			Handcrafted Shield (HCshield0)
			
					Crafted
					x2 of tier's base shield
					
			T3 Cape (T3Cape)
			
					Crafted
					Fills in missing cape slot for T3
					
			Staff Fire (T0SF1/2/3)
			
					Crafted
					Upgradable fire damage staff
					
			Staff Ice (T0SI1/2/3)
			
					Crafted
					Upgradable frost damage staff
			
			Magic Infused Food (various)
			
					Crafted
					Adds Eitr at the cost of other stats
					
			Empowered Food	(various)
			
					Crafted
					Increases health/stamina/regen by 1.5
								
			Worldtree Mead (various)
			
					Crafted
					Improved vanilla version
					
			Liquid Bomb (EVbomb0)
			
					Crafted
					Improved vanilla version
					
			Primordial Trap (EVtrap0)
			
					Crafted
					Improved vanilla version

			Yggwood Piece (various)
			
					Built
					Does not decay visually
					
			Roaming Dvergr (T0DvergrEV/Mage/Fire/Frost/Support)
			
					World spawn
					5-variant creatures, drops various resources at an improved rate
					
			Looter Dvergr (T0DvergrEVLooter)
			
					Spawns in Abandoned Cave
					Mini-boss, drops improved amount of coins
					
			Stashed Loot (CaveChest)

					Chest spawn in Abandoned Cave
					Contains various resources at an improved rate
					
			Living Essence (EssenceT0)
			
					Tier-based creature drop
					Crafting boss/miniboss summoning token
				
			Enchanting Dust (DustEV)
			
					Disenchanted from magic equipment
					Equipment enchanting/augmenting

			Blank Runestone (RunestoneEV)
			
					Trader sold
					Ingredient of various crafts, equipment enchanting/augmenting

			Empowered Boss Token (various)
			
					Crafted
					Summons a tier's final boss
					
			Dark Biome (various)

					Mirrored version of each tier
					Contains improved amount of environmental resources, spawns Dark creature variants and bosses
					
			Dark Creature (CreatureEV/Fire/Frost/Lightning/Poison/Crazed/Spirit)

					Roams in Dark Biome
					6-variant creature, increased difficulty, drops various resources/magic equipment at an improved rate
					
			Heimdall - Legendary Set

					Crafted, drop
					Shield/Weapon/Legs set improving armor and adding target slow, 3 piece adding a 5m cd death counter
					
			Berserker - Legendary Set

					Crafted, drop
					Belt/Chest/Legs set improving damage and damage while low on health, 3 piece adding a 5m cd death counter
					
			Loki - Legendary Set

					Crafted, drop
					Weapon/Helm/Ring set improving backstab and dealing extra damage at random, 3 piece adding a 5m cd death counter
					
			Thor - Legendary Set

					Crafted, drop
					Weapon/Helm/Back set improving attack speed and adding stamina, 3 piece adding a 5m cd death counter
					
			Bear - Legendary Set

					Crafted, drop
					Back/Chest/Legs set improving health and adding health regen, 3 piece adding a 5m cd death counter
					
			Gladiator - Legendary Set

					Crafted, drop
					Weapon/Shield/Helm set improving block and adding block power, 3 piece adding a 5m cd death counter
					
			Nomad - Legendary Set

					Crafted, drop
					Back/Chest/Belt set improving movement speed and adding chance to avoid damage, 3 piece adding a 5m cd death counter
					
			Freya - Legendary Set

					Crafted, drop
					Shield/Weapon/Legs set adding damage reflection and lifesteal, 3 piece adding a 5m cd death counter
					
			Hela - Legendary Set

					Crafted, drop
					Head/Chest/Legs set adding Eitr and Eitr regen, 3 piece adding a 5m cd death counter
					
			Forest Token (ForestToken)
			
					Treasure Map reward
					Lesser gambles
					
			Iron Bounty Token (IronBountyToken)
			
					Bounty Reward
					Gambles
					
			Gold Bounty Token (GoldBountyToken)

					Bounty Reward
					Greater gambles
				
			Odin's Staff
			
					Unique Legendary
					Extra damage staff enchant with DoubleMagicShot	
					
			Hela's Bow
			
					Unique Legendary
					Bow enchant with TripleBowShot
					
			Unreleased Content Token (UCT)
			
					Drops from unreleased tier's creatures
					Sellable, informs players about playing through unreleased content
					
	
	World:
	
		Greatly increased T1 difficulty
		Moderately increased T2 difficulty
		Map center area now allows building
		Added Abandoned House structure to the map center area
		Increased overall landmass amount
		DarkMeadows min generation distance increased
		EV can now be continued past released content seamlessly, but with near-vanilla progression
	
	
	Equipment:
	
		Reworked equipment upgrade formula:
			Each tier now has +1 upgrade capacity from previous, with T1 starting at 0
		Upgrades now use custom recipes
		Upgrades now give 50-200% more value compared to vanilla
		Shields now provide 100-200% more value compared to vanilla
		Added a cape to T3 equipment category
		Capes now provide armor equal to that tier's light helm
		Eitr armor versions now only have 3 pieces, and is variant of light armor only
		Increased damage of all staves
		Staves can now be used to chop down trees/strike veins
		Reworked Empowered Food formula:
			Now provides x1.5 of base health/stamina
		
		
	Creatures:
	
		Roaming Dvergr's can now drop trophies
		Meadows' structures which spawned Skeletons now spawn Greylings
		Maximum level of creatures in structures/dungeons are now 1
		Next tier's creatures do not Essences until previous tier's boss has been defeated
		Ever creature now has a loot table of 20+ common resources
		Bosses/Minibosses/Dvergr have improved drop rate from the common resource table
		Dark versions of Ghost/Wraith now also take elemental damage
		Reduced Roaming Dvergr spawn rates
		Bosses now drop more Coins
		Eikthyr health increased from 1k to 2k
		Creatures from unreleased tiers now drop Unreleased Content Token:
			Informs players that they've completed currently available content, can also be sold
		
		
	Epic Loot:
	
		Items can now be disenchanted without destroying them (EL native function)
		Added more enchants to the enchant pool
		Enabled ElementalDamage rolls
		Unique-legendaries now roll with 6 slots, up from 5
		TripleShot/DoubleMagicShot can only be rolled into Unique-legendary item
		Trophies are no longer part of Disenchant pool
		New magic set: Hela's Magic - improves Eitr/Eitr regen
		Removed TraderChest
		Gamble tab rework:
			Each gamble rarity now has an associated token to the category
			Coins cost increases with rarity, but so does the success rate of legendary
			Bounties now provide both Iron and Gold tokens
			
			
	Other:
	
		Removed WackyMMO level/loot restrictions
		EV events past T1 are postponed until later date
		
	
	Known issues:
	
		Custom EV items in the Trader menu have garbled titles